> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1enrichmentmnp



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/enrichment/mnp
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/enrichment/mnp:
    post:
      tags:
        - EnrichmentMnp
      operationId: enrichment.start-check
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                filterModel:
                  type: array
                  example:
                    country_id:
                      filterType: number
                      type: equals
                      filter: 225
                  prefixItems:
                    - type: object
                      properties:
                        colId:
                          type: object
                          properties:
                            filterType:
                              type: string
                            type:
                              type: string
                            filter: {}
                          required:
                            - filterType
                            - type
                            - filter
                      required:
                        - colId
                  minItems: 1
                  maxItems: 1
                  additionalItems: false
                amount:
                  type: integer
                  minimum: 1
              required:
                - amount
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Lookup queued and will be started soon
                required:
                  - message
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````